Subject: Allow for separate monitoring password

Description: It would be really nice having the option of selecting a separate password for 

https://nagios.bitfolk.com/nagios/



A Nagios password is the kind of password where I prefer the convenience of having it stored in my web 

browser. The problem being that I am a bit to paranoid/careful to threat the main account password that way.

History

2014-01-12 22:34 - halleck

...even more, I'd like to be able to use the "aNag":https://play.google.com/store/apps/details?id=info.degois.damien.android.aNag Android app to poll 

the Bitfolk Nagios. That especially being a use case where I'd feel much more comfortable saving a separate Nagios password than my main Bitfolk 

account password. 

2016-06-06 04:34 - halleck

Any chance of this happening?

2016-06-18 02:39 - admin

As you may know I'm currently working on replacing BitFolk's Nagios with an Icinga 2.x install.



Over the last few days I have confirmed that Icinga Web (the separate web frontend project) can authenticate from multiple sources, so this seems a 

good way to go. There are however a couple of bad points:



# Of the supported methods (Basic Auth, LDAP, Active Directory, DB) only DB and LDAP are relevant. The main BitFolk authentication is LDAP and 

I'm not setting up another for the few people who will want a separate monitoring password, so that leaves DB. The support for DB authentication is 

limited to MD5 password hashes (with salt).

# It will try both (all) configured authentication methods, so if you accidentally put in your BitFolk credentials then that will still work.



That's not ideal, but I still think this is probably the best thing I can come up with so I am going to go ahead with this.



The new monitoring is not ready yet but I will let you know as soon as there is something to look at. If you would like to email me a password for it 

PGP-encrypted then please do send me a hash, which can be generated like this:



<pre>

$ openssl passwd -1 -salt qwerty

Password: 

$1$qwerty$x7NQcrhk6fVkbopQM.24m0

</pre>

2019-01-07 13:32 - admin

- Subject changed from Allow for separate Nagios password to Allow for separate monitoring password

- Status changed from New to In Progress

Changed the subject to say "monitoring" rather than "Nagios" as we don't use Nagios any more.

2019-01-07 13:34 - admin

Interest in this is probably quite low so not sure if I will expose it in the BitFolk Panel, but the workaround mentioned above (sending support a 

separate password hash) needs to be documented on "the Monitoring wiki page":https://tools.bitfolk.com/wiki/Monitoring.

2025-05-10 1/2



2019-01-15 00:06 - admin

- Status changed from In Progress to Resolved

2019-01-15 00:07 - admin

- Status changed from Resolved to Closed
